/*
Theme Name: Beaver Builder Child Theme
Theme URI: http://www.wpbeaverbuilder.com
Version: 1.0
Description: An example child theme that can be used as a starting point for custom development.
Author: The Beaver Builder Team
Author URI: http://www.fastlinemedia.com
template: bb-theme
*/

/* Main Typography Overrides */
body h4 { font-family: proxima-nova, sans-serif; font-weight: 600; }
body h5 { font-family: proxima-nova, sans-serif; font-weight: 700; margin-bottom: 0; }
body #blog-content h1:not(.fl-heading), body #blog-content h2, body #blog-content h3 { font-family: proxima-nova, sans-serif; font-weight: 600; color: #bb9251; }

header #top-bar .fl-module-callout .fl-callout-title { padding: 0; }

header { transition: max-height 0.3s; }
header .fl-row-content-wrap { transition: background 0.3s; }
header .fl-photo-content img { transition: width 0.3s, height 0.3s, margin-top 0.3s; }
header.fl-theme-builder-header-scrolled .fl-photo-content img { width: 120px; margin-top: -30px; }
header.fl-theme-builder-header-scrolled .fl-node-5d8c32f363ccc > .fl-module-content { margin-top: 0; }

header.fl-theme-builder-header-scrolled .fl-row-content-wrap {
    background: rgba(19,21,28,0.5);
}
header .menu .sub-menu li a { padding: 10px 15px; border-bottom: 1px solid #bb9251; }
header .menu .sub-menu li:last-child a { border-bottom: none; }

#home-blocks .fl-row-content > .fl-col-group {
    background: transparent;
}
#home-blocks .uabb-face.uabb-front:after {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: rgb(0,0,0);
    background: linear-gradient(0deg, rgba(0,0,0,1) 0%, rgba(0,0,0,0) 70%);
    display: block;
    content: '';
}
#home-blocks .uabb-face.uabb-back .uabb-back-flip-box-section-content:after {
    display: inline-block;
    text-align: center;
    width: 30px;
    height: 30px;
    -webkit-border-radius: 20px;
    -moz-border-radius: 20px;
    border-radius: 20px;
    line-height: 14px;
    font-size: 14px;
    padding-top: 7px;
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    content: "\f054";
    color: white;
    border: 1px solid #d0ac74;
    margin: 10px auto;
}
#home-blocks .uabb-face.uabb-front .uabb-flip-box-section.uabb-flip-box-section-vertical-middle {
    position: relative;
    z-index: 10;
}
#home-blocks .uabb-flip-box a:hover .uabb-face.uabb-back {
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.4);
}

body .uabb-pricing-table .uabb-pricing-table-title { padding-top: 0; }

.keep-on-top { position: relative; z-index: 50; }

/* News & Events */
.sf-field-search {
    padding: 0;
    border: none;
    background: none;
}
.searchandfilter ul { padding: 0; }
.sf-field-search label { width: 100%; }
.searchandfilter ul li.sf-field-category ul li {
    display: inline-block;
    padding: 5px 15px;
    background: white;
    color: #333;
    margin-right: 5px;
    margin-bottom: 5px;
    cursor: pointer;
    -webkit-transition: all 0.2s;
    -moz-transition: all 0.2s;
    -ms-transition: all 0.2s;
    -o-transition: all 0.2s;
    transition: all 0.2s;
}
.searchandfilter ul li.sf-field-category ul li label {
    font-weight: 400;
    font-size: 14px;
    cursor: pointer;
    padding: 0;
}
.searchandfilter .sf-count { color: #006dc6; }
.searchandfilter ul li.sf-field-category ul li.sf-option-active,
.searchandfilter ul li.sf-field-category ul li:hover { background: #006dc6; color: white; }
.searchandfilter ul li.sf-field-category ul li.sf-option-active .sf-count,
.searchandfilter ul li.sf-field-category ul li:hover .sf-count { color: white; }
.sf-field-category ul li input[type=radio] { display: none; }
.sf-field-search input[type=text] {
    color: #969593;
    margin: 0;
    display: inline-block;
    width: 100%;
    background: white;
    height: 40px;
    border-radius: 3px;
    border: 1px solid #e5e5e5;
    font: 400 16px/16px proxima-nova, sans-serif;
}
.search-filter-results .pagination { text-align: center; padding: 20px; }
.search-filter-results .pagination > * { padding: 5px 15px; margin-right: 5px; background: #f4f4f4; color: #24262c;
    -webkit-transition: all 0.2s;
    -moz-transition: all 0.2s;
    -ms-transition: all 0.2s;
    -o-transition: all 0.2s;
    transition: all 0.2s;
}
.search-filter-results .pagination > span.current, .search-filter-results .pagination > a:hover { background: #bb9251; color: white; }
.post-grid .post-item { width: 33%; float: left; }
.post-grid .post-item .post-image-wrapper { height: 290px; }
.post-grid .post-item .inner-wrapper { min-height: 420px; background: #f4f4f4; }
.post-grid:after { display: block; content: ''; clear: both; }
.post-grid .post-item {
    max-width: 33.333%;
    padding: 10px;
}
.post-grid .post-item .inner-wrapper, .fl-module-blog-posts .uabb-blog-posts-shadow {
    transition: all 0.2s;
}
.post-grid .post-item  a:hover .inner-wrapper, .fl-module-blog-posts .uabb-blog-posts-shadow:hover {
    box-shadow: 0 0 10px rgba(0,0,0,0.3);
}
.post-grid .post-item .blog-content {
    padding: 10px 20px 20px 20px;
    background: #f4f4f4;
    color: #24262c;
    line-height: 1.1em;
    font-size: 16px;
    text-align: center;
}
.post-grid .post-item .blog-content .date, .wpupg-grid > a > div.wpupg-item .blog-content .date {
    font-size: 12px;
    font-weight: 600;
    color: #bb9251;
    text-transform: uppercase;
    margin-bottom: 10px;
    text-align: center;
}
.post-grid .post-item .blog-content h4.title, .fl-module-blog-posts .uabb-blog-post-inner-wrap h4.uabb-post-heading {
    text-transform: uppercase;
    font-family: "Denver Bold",Verdana,Arial,sans-serif;
    font-weight: 400;
}
#blog-content .fl-callout-left .fl-callout-photo { width: 90px !important; padding-right: 10px; }
#blog-content .fl-callout-left .fl-callout-content { width: calc(100% - 90px); }

/* Restaurant Menus */
body .pp-restaurant-menu-item-wrap-in h2 { margin-bottom: 0 !important; line-height: 1.2em; text-transform: uppercase; }
body .pp-restaurant-menu-item-description { text-transform: uppercase; text-align: left; }
body .pp-restaurant-menu-item .pp-restaurant-menu-item-price { line-height: 1em; }
.pp-restaurant-menu-item-header { text-align: left; margin-bottom: 0; }
.pp-restaurant-menu-item-left.sub-menu-left p { margin-bottom: 0; line-height: 1em; }
.pp-restaurant-menu-item-left.sub-menu-left .pp-restaurant-menu-item-title,
.pp-restaurant-menu-item-left.sub-menu-left .pp-restaurant-submenu-item-description {
    font-size: 14px;
    text-transform: uppercase;
    padding-top: 0;
}
.pp-restaurant-menu-item-right.sub-menu-right .pp-restaurant-menu-item-price {
    padding-top: 0;
    padding-bottom: 0;
    line-height: 1em;
}

/* What's On */
.fl-module-post-grid .fl-builder-pagination { padding: 30px 0 15px 0; }

/* Contact */
body .gform_wrapper li.gfield.gfield_error.gfield_contains_required div.gfield_description { padding-top: 0; }
body .gform_wrapper li.gfield.gfield_error, body .gform_wrapper li.gfield.gfield_error.gfield_contains_required.gfield_creditcard_warning {
    padding-top: 0; padding-bottom: 0; background-color: transparent; margin-bottom: 0 !important; border-top: none; border-bottom: none;
}

/* Events - 3 Col Listing */
@media screen and (min-width: 691px) {
    .events-wrapper .col-3 {
        width: 100%;
        max-width: 33%;
        padding: 10px;
        float: left;
    }

    .events-wrapper .col-3:nth-child(3n):after {
        display: block;
        content: '';
        clear: left;
    }
    .events-wrapper .col-4 {
        width: 100%;
        max-width: 25%;
        padding: 10px;
        float: left;
    }

    .events-wrapper .col-4:nth-child(4n):after {
        display: block;
        content: '';
        clear: left;
    }
}

/** Responsive **/
@media screen and (max-width: 960px) {
    header .fl-menu #menu-main-menu { background: rgba(19,21,28,0.5); }

    .fl-module-pricing-box .uabb-pricing-table { flex-wrap: wrap; }
    .fl-module-pricing-box .uabb-pricing-table .uabb-pricing-table-col-2,
    .fl-module-pricing-box .uabb-pricing-table .uabb-pricing-table-col-4 {
        width: 50%;
    }

    .post-grid .post-item { width: 50%; float: left; }
    .post-grid .post-item .post-image-wrapper { height: 290px; }
    .post-grid .post-item .inner-wrapper { min-height: 420px; background: #f4f4f4; }
    .post-grid:after { display: block; content: ''; clear: both; }
    .post-grid .post-item {
        max-width: 50%;
        padding: 10px;
    }
}
@media screen and (max-width: 690px) {
    .fl-module-pricing-box .uabb-pricing-table { flex-direction: row; }
    .post-grid .post-item { width: 100%; float: left; }
    .post-grid .post-item {
        max-width: 100%;
        padding: 10px;
    }

    .events-wrapper .col-3 {
        width: 100%;
        max-width: 50%;
        padding: 10px;
        float: left;
    }
    .events-wrapper .col-3:nth-child(2n):after {
        display: block;
        content: '';
        clear: left;
    }
    .events-wrapper .col-4 {
        width: 100%;
        max-width: 50%;
        padding: 10px;
        float: left;
    }
    .events-wrapper .col-4:nth-child(2n):after {
        display: block;
        content: '';
        clear: left;
    }
}
@media screen and (max-width: 480px) {
    .events-wrapper .col-3 {
        width: 100%;
        max-width: 100%;
        padding: 10px;
        float: none;
    }
    .events-wrapper .col-4 {
        width: 100%;
        max-width: 100%;
        padding: 10px;
        float: none;
    }
    header .fl-row-content-wrap {
        background: rgba(19,21,28,0.5);
    }
    header #header-icons .fl-icon-group-right {
        text-align: center;
    }
    header #header-icons .fl-icon-group-right .icon-group-single-wrapper:first-child { margin-left: 0; }
}